Subject: Re: "error: Tweaking file descriptors doesn't work with this MSVCRT.dll" on wine

From: Michael Stefaniuc <[email-masked]>
Date: Tue, 29 Jul 2014 14:20:11 +0200

On 07/29/2014 08:30 AM, Torsten Bögershausen wrote:
> On 07/28/2014 12:39 PM, Duy Nguyen wrote:
>> I know wine is kind of second citizen but is there a cheap trick to
>> make it work on wine? Reverting fcd428f (Win32: fix broken pipe
>> detection - 2012-03-01) could result in conflicts in compat that I'm
>> not comfortable resolving. I don't have Windows at home. Wine is the
>> only option for me (or if somebody has a modern.ie image for KVM, or a
>> simple recipe to make one, that'd be great). "Fix wine" is not really
>> an option.
Why is fixing Wine not an option? The guy working on MSVCRT in Wine is
very responsive; all that is needed is just a bug in
https://bugs.winehq.org/ and he'll look at it. Or give me more details
and I'll create the bug entry.

> Is it only that patch that needs to be reverted to make things work got
> wine?
> For me It seems as if the patch is not that huge, and manually do a
> copy-paste
> with the help of a diff tool can be done.
> 
> It seems as if even both implemenations can live side-by-side in the code.
> And if there is a run-time detection for wine, we could switch between the
We frown upon detecting Wine just to workaround bugs there.
If one insists on workarounding Wine then please detect the broken
behavior instead. That way the app will automatically use the default
code path once Wine is fixed.

> old one and the new one which is dependent on how MSVCRT.dll has layed out
> internal data structures:
>  "ioinfo structure (exposed by MSVCRT.dll via  __pioinfo"

bye
	michael